Summary:	X Composite extension client library
Summary(pl.UTF-8):	Biblioteka kliencka rozszerzenia X Composite
Name:		xorg-lib-libXcomposite
Version:	0.4.4
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXcomposite-%{version}.tar.bz2
# Source0-md5:	f7a218dcbf6f0848599c6c36fc65c51a
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xmlto >= 0.0.20
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-proto-compositeproto-devel >= 0.4
BuildRequires:	xorg-util-util-macros >= 1.8
Obsoletes:	libXcomposite
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Composite extension client library.

%description -l pl.UTF-8
Biblioteka kliencka rozszerzenia X Composite.

%package devel
Summary:	Header files for libXcomposite library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXcomposite
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXfixes-devel
Requires:	xorg-proto-compositeproto-devel >= 0.4
Obsoletes:	libXcomposite-devel

%description devel
X Composite extension client library.

This package contains the header files needed to develop programs that
use libXcomposite.

%description devel -l pl.UTF-8
Biblioteka kliencka rozszerzenia X Composite.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXcomposite.

%package static
Summary:	Static libXcomposite library
Summary(pl.UTF-8):	Biblioteka statyczna libXcomposite
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXcomposite-static

%description static
X Composite extension client library.

This package contains the static libXcomposite library.

%description static -l pl.UTF-8
Biblioteka kliencka rozszerzenia X Composite.

Pakiet zawiera statyczną bibliotekę libXcomposite.

%prep
%setup -q -n libXcomposite-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXcomposite.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXcomposite.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXcomposite.so
%{_libdir}/libXcomposite.la
%{_includedir}/X11/extensions/Xcomposite.h
%{_pkgconfigdir}/xcomposite.pc
%{_mandir}/man3/XComposite*.3x*
%{_mandir}/man3/Xcomposite.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXcomposite.a
%changelog
* Thu Jan 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 3470c58
- updated to 0.4.4

* Fri Oct 29 2010 Jakub Bogusz <qboosh@pld-linux.org> c79a317
- updated to 0.4.3

* Sun Jun 13 2010 Jakub Bogusz <qboosh@pld-linux.org> b7067da
- updated ac and util-macros versions

* Thu Jun 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 518cf0a
- up to 0.4.2

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> f03f3bd
- rebuild with new libpthread-stubs
- rel 2

* Thu Oct 08 2009 Jakub Bogusz <qboosh@pld-linux.org> 80246b9
- util-macros version
- ghost soname symlink
- more verbose files, added README to doc

* Thu Oct 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ad54634
- up to 0.4.1

* Fri Nov 07 2008 Paweł Sikora <pluto@pld-linux.org> 384e3e5
- release 2 for rebuild w/o libxcb-xlib deps.

* Thu Jul 05 2007 Jakub Bogusz <qboosh@pld-linux.org> c85d944
- proto version update

* Wed Jul 04 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> fb0c2bc
- up to 0.4.0

* Thu May 03 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 67b4a90
- up to 0.3.2 (no code changes; man pages added)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ab61c88
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c7b975e
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> f77bc3b
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 60331d4
- rebuild

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> d9b5027
- updated to 0.3.1

* Fri May 26 2006 Jakub Bogusz <qboosh@pld-linux.org> 33f1e5e
- needs compositeproto 0.3

* Mon Apr 03 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> f63e10e
- updated to 0.3

* Wed Mar 08 2006 Jakub Bogusz <qboosh@pld-linux.org> 5f037e4
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> dd37fe6
- sources from X11R7.0 release

